%define name	xpad
%define version	1.11
%define release 1mdk

Name: 	 	%{name}
Summary: 	Sticky notepad for X11.
Version: 	%{version}
Release: 	%{release}
BuildRequires:  libgtk+-x11-2.0_0-devel pkgconfig gettext

Source:		%{name}-%{version}.tar.bz2
Source1: 	%{name}48.png
Source2: 	%{name}32.png
Source3: 	%{name}16.png
URL:		http://xpad.sourceforge.net
License:	GPL
Group:		Office
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
xpad is a sticky note application written using GTK+ 2.0 that strives to be
simple, fault-tolerant, and customizable. xpad consists of independent pad
windows; each is basically a text box in which notes can be written. Despite
being called xpad, all that is needed to run or compile it is the GTK+ 2.0
libraries. Here is a list of major features in the current xpad stable
release:
    * GTK+ 2.0 powered text view.
    * Fault tolerant. All information is kept on the hard drive, not memory.
      So if power is lost or your computer freezes, there is little lost
      information.
    * xpad is very customizable. The color scheme (text, background, and
      window borders) and the font can be changed. These settings can be
      applied to one pad or set as the default for future pads. Want window
      decorations or not? Your choice.
    * A customizable toolbar puts the most frequently used commands at your fingertips.
    * Support for the X session management protocol.
    * Support for the www.freedesktop.org system tray proposal.

%prep
%setup -q

%build
%configure
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%find_lang %name

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="XPad" longtitle="Sticky Notes" section="Office/Accessories"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
cat %SOURCE1 > $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
cat %SOURCE2 > $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
cat %SOURCE3 > $RPM_BUILD_ROOT/%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files -f %name.lang
%defattr(-,root,root)
%doc ABOUT-NLS doc/* 
%{_bindir}/%name
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png
%{_iconsdir}/hicolor/*/apps/*
%{_menudir}/%name
%{_mandir}/man1/*
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Wed Aug 5 2003 Austin Acton <aacton@yorku.ca> 1.11-1mdk
- 1.11
- new icon locations
- add locales

* Wed Apr 2 2003 Austin Acton <aacton@yorku.ca> 1.10.1-1mdk
- 1.10.1

* Sun Feb 9 2003 Austin Acton <aacton@yorku.ca> 1.9-1mdk
- initial package
